## petsc 3.24.1+dfsg1

=== share/petsc/CMakeLists.txt ===
#
#  This is a SAMPLE CMakeLists.txt suitable for direct use with a new PETSc application or
#  you can add fragments of the material below to an existing application's CMakeLists.txt
#
#  Usage:  To build ex1 from ex1.c
#    rm -fr build
#    cmake -B build
#    cmake --build build
#    ./build/ex1
#
#  By default it gets both the compiler information and the library information from PETSc
#
cmake_minimum_required(VERSION 3.1.0)
include(FindPkgConfig REQUIRED)

set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# Dummy project to determine compiler names and version
project(detect_compilers LANGUAGES)

# set root of location to find PETSc's pkg-config
set(PETSC $ENV{PETSC_DIR}/$ENV{PETSC_ARCH})
set(ENV{PKG_CONFIG_PATH} ${PETSC}/lib/pkgconfig)

# Remove the lines below if you do not wish to have PETSc determine the compilers
pkg_get_variable(CMAKE_C_COMPILER PETSc ccompiler)
pkg_get_variable(CXX_COMPILER PETSc cxxcompiler)
if (CXX_COMPILER)
  set(CMAKE_CXX_COMPILER ${CXX_COMPILER})
  enable_language(CXX)
endif (CXX_COMPILER)
pkg_get_variable(FORTRAN_COMPILER PETSc fcompiler)
if (FORTRAN_COMPILER)
  set(CMAKE_Fortran_COMPILER ${FORTRAN_COMPILER})
  enable_language(Fortran)
endif (FORTRAN_COMPILER)

#  tells CMake to build the application ex1 from the source file ex1.c
#  this must appear AFTER the compilers are set
project(ex1)
add_executable(ex1 ex1.c)

find_package(PkgConfig REQUIRED)
pkg_search_module(PETSC REQUIRED IMPORTED_TARGET PETSc)
target_link_libraries(ex1 PkgConfig::PETSC)

=== debian/changelog ===
petsc (3.24.1+dfsg1-4ubuntu2) resolute; urgency=medium

  * Rebuild against new libmumps-5.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Dec 2025 14:36:37 +0100

petsc (3.24.1+dfsg1-4ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Dec 2025 15:33:11 +0100

petsc (3.22.5+dfsg1-2ubuntu3) resolute; urgency=medium

  * No-change rebuild for libhypre-2.33.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 22 Nov 2025 22:11:24 +0000

petsc (3.22.5+dfsg1-2ubuntu2) questing; urgency=medium

  * No-change rebuild for gfortran 15.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Sep 2025 14:26:42 +0200

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/buildopts.mk
include /usr/share/mpi-default-dev/debian_defaults

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/[\.\+]dfsg.*$$//' )

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(ARCH_DEFAULT_MPI_IMPL),mpich)
    MPI_DEV=libmpich-dev
else
    MPI_DEV=libopenmpi-dev
endif
MPI_VERSION = $(shell dpkg-query -s $(MPI_DEV) | grep "Version:" | awk '{print $$2}')
MPI_NOEPOCH_VERSION := $(shell echo $(MPI_VERSION) | cut -d: -f2-)
MPI_UPSTREAM_VERSION := $(shell echo $(MPI_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
MPI_STRIPPED_UPSTREAM_VERSION = $(shell echo $(MPI_UPSTREAM_VERSION) | sed -e 's/[\.\+]dfsg.*$$//' )

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append FLAGS
export DEB_CFLAGS_MAINT_APPEND  = -fPIC
export DEB_CXXFLAGS_MAINT_APPEND  = -fPIC
export DEB_FFLAGS_MAINT_APPEND  = -fPIC -ffree-line-length-0
export DEB_FCFLAGS_MAINT_APPEND  = $(DEB_FFLAGS_MAINT_APPEND)
export DEB_LDFLAGS_MAINT_APPEND = -fPIC

# keep the build dir (in the -fdebug-prefix-map flag) out of the installed config files,
# by applying the flag only at build time not configure time
export CFLAGS_NO_DEBUG_PREFIX_MAP := $(shell echo $(CFLAGS) | sed "s/ -fdebug-prefix-map=[^ ]* / /" )
export CFLAGS_DEBUG_PREFIX_MAP := $(shell echo $(CFLAGS) | sed -n "s/^.*\(-fdebug-prefix-map=[^ ]*\) .*$$/\1/p" )
export CXXFLAGS_NO_DEBUG_PREFIX_MAP := $(shell echo $(CXXFLAGS) | sed "s/ -fdebug-prefix-map=[^ ]* / /" )
export CXXFLAGS_DEBUG_PREFIX_MAP := $(shell echo $(CXXFLAGS) | sed -n "s/^.*\(-fdebug-prefix-map=[^ ]*\) .*$$/\1/p" )
export FCFLAGS_NO_DEBUG_PREFIX_MAP := $(shell echo $(FCFLAGS) | sed "s/ -fdebug-prefix-map=[^ ]* / /" )
export FCFLAGS_DEBUG_PREFIX_MAP := $(shell echo $(FCFLAGS) | sed -n "s/^.*\(-fdebug-prefix-map=[^ ]*\) .*$$/\1/p" )
export FFLAGS_NO_DEBUG_PREFIX_MAP := $(shell echo $(FFLAGS) | sed "s/ -fdebug-prefix-map=[^ ]* / /" )
export FFLAGS_DEBUG_PREFIX_MAP := $(shell echo $(FFLAGS) | sed -n "s/^.*\(-fdebug-prefix-map=[^ ]*\) .*$$/\1/p" )

# Overriding this with "contrib" attempts to link with parmetis (unimplemented).
DEBIAN_DIST=main

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# On Alpha, override this with debian/rules PETSC_ARCH=linux_alpha_dec binary
# to build PETSc libs with the Compaq compilers, though that requires at least:
# libots, cpml-ev(5|6), cxml-ev(5|6), cfal and ccc.
# Note that only arch-dependent .debs are generated when you do this.
PETSC_ARCH=$(DEB_HOST_MULTIARCH)

ifndef DEB_BUILD_OPTION_PARALLEL
  CPU_COUNT := $(shell /usr/bin/nproc )
  export DEB_BUILD_OPTIONS ?= parallel=$(CPU_COUNT)
endif

# This defines the MPI implementation to use.  The easiest way to override this
# default is to specify while building, e.g. debian/rules PETSC_MPI=lam binary.
# Again, only arch-dependent .debs are generated when you do this.
# Note that as of PETSc 2.3.0 this only specifies the name of the PETSc
# packages, the implementation is chosen by BuildSystem according to what's
# available at build time.
include /usr/share/mpi-default-dev/debian_defaults
PETSC_MPI=$(ARCH_DEFAULT_MPI_IMPL)

# facilitate build-time testing (invoking OpenMPI) when building in a chroot (pbuilder or sbuild)
export PRTE_MCA_plm_ssh_agent=/bin/false
export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
export OMPI_MCA_btl_base_warn_component_unused=0

HDF5_INCLUDE_DIR=$(shell for i in `pkg-config hdf5-mpi --cflags-only-I`; do echo $$i | grep "include/hdf5"; done | sed "s/-I//")
HDF5_LIBS=$(shell pkg-config hdf5-mpi --libs)
PETSC_HDF5_FLAGS=--with-hdf5-include=$(HDF5_INCLUDE_DIR) --with-hdf5-lib="$(HDF5_LIBS)"

VALGRIND_ARCH_LIST := amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64
ifeq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(VALGRIND_ARCH_LIST)$(space)))
  VALGRIND_CONFIG=--with-valgrind=1
else
  VALGRIND_CONFIG=
endif

PETSC_REAL_BUILD_DIR=$(PETSC_ARCH)-real
PETSC_REAL_DEBUG_BUILD_DIR=$(PETSC_ARCH)-real-debug
PETSC_COMPLEX_BUILD_DIR=$(PETSC_ARCH)-complex
PETSC_COMPLEX_DEBUG_BUILD_DIR=$(PETSC_ARCH)-complex-debug

PETSC64_REAL_BUILD_DIR=$(PETSC_ARCH)-real-64
PETSC64_REAL_DEBUG_BUILD_DIR=$(PETSC_ARCH)-real-debug-64
PETSC64_COMPLEX_BUILD_DIR=$(PETSC_ARCH)-complex-64
PETSC64_COMPLEX_DEBUG_BUILD_DIR=$(PETSC_ARCH)-complex-debug-64

# PETSC_VERSION is used for the package names, library sonames, and
# /usr/lib/petscdir subdirectory names.
export PETSC_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)$(PETSC_EXT)
# use only major.minor as general soname (rather than major.minor.patch.build)
export PETSC_SONAME_VERSION=$(shell echo $(PETSC_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')

# PETSC_NAME is the install dir under /usr/lib and the base for package names
PETSC_NAME=petsc$(PETSC_SONAME_VERSION)
PETSC_REAL_SONAME=petsc-real$(PETSC_SONAME_VERSION)
PETSC_COMPLEX_SONAME=petsc-complex$(PETSC_SONAME_VERSION)

PETSC64_NAME=petsc64-$(PETSC_SONAME_VERSION)
PETSC64_REAL_SONAME=petsc64-real$(PETSC_SONAME_VERSION)
PETSC64_COMPLEX_SONAME=petsc64-complex$(PETSC_SONAME_VERSION)

# debian binary package names
PETSC_REAL_DEV_PACKAGE=lib$(PETSC_REAL_SONAME)-dev
PETSC_REAL_PACKAGE=lib$(PETSC_REAL_SONAME)
PETSC_REAL_DEBUG_PACKAGE=lib$(PETSC_REAL_SONAME)-dbg
PETSC_COMPLEX_DEV_PACKAGE=lib$(PETSC_COMPLEX_SONAME)-dev
PETSC_COMPLEX_PACKAGE=lib$(PETSC_COMPLEX_SONAME)
PETSC_COMPLEX_DEBUG_PACKAGE=lib$(PETSC_COMPLEX_SONAME)-dbg

PETSC64_REAL_DEV_PACKAGE=lib$(PETSC64_REAL_SONAME)-dev
PETSC64_REAL_PACKAGE=lib$(PETSC64_REAL_SONAME)
PETSC64_REAL_DEBUG_PACKAGE=lib$(PETSC64_REAL_SONAME)-dbg
PETSC64_COMPLEX_DEV_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)-dev
PETSC64_COMPLEX_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)
PETSC64_COMPLEX_DEBUG_PACKAGE=lib$(PETSC64_COMPLEX_SONAME)-dbg

PETSC_DEV_COMMON_PACKAGE=lib$(PETSC_NAME)-dev-common
export PETSC_DOC_PACKAGE=petsc$(PETSC_SONAME_VERSION)-doc
export PETSC_DEV_EXAMPLE_PACKAGE=lib$(PETSC_NAME)-dev-examples

# install into /usr/lib/petscdir rather than /usr/lib/petsc
# to allow /usr/lib/petsc to be configured by alternatives
export PETSC_REAL_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-real
export PETSC_REAL_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-real-debug
export PETSC_COMPLEX_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-complex
export PETSC_COMPLEX_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC_NAME)/$(PETSC_ARCH)-complex-debug

export PETSC64_REAL_DIR_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-real
export PETSC64_REAL_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-real-debug
export PETSC64_COMPLEX_DIR_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-complex
export PETSC64_COMPLEX_DEBUG_DIR_PREFIX=/usr/lib/petscdir/$(PETSC64_NAME)/$(PETSC_ARCH)-complex-debug

PACKAGE_REAL_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-real
export PACKAGE_REAL_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-real-debug
PACKAGE_COMPLEX_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-complex
PACKAGE_COMPLEX_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC_NAME)-complex-debug

PACKAGE_64_REAL_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-real
export PACKAGE_64_REAL_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-real-debug
PACKAGE_64_COMPLEX_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-complex
PACKAGE_64_COMPLEX_DEBUG_INSTALL_DIR=debian/tmp/$(PETSC64_NAME)-complex-debug

PETSC64_CONFIG=--with-64-bit-indices

=== debian/watch ===
Version: 5

Source: https://web.cels.anl.gov/projects/petsc/download/release-snapshots/
Matching-Pattern: petsc-with-docs-@ANY_VERSION@@ARCHIVE_EXT@
Dversion-Mangle: s/\+dfsg\d*$//
Repacksuffix: +dfsg1

## petsc 3.24.2+dfsg1

=== debian/changelog ===
petsc (3.24.2+dfsg1-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Jan 2026 18:31:26 +0100

petsc (3.24.2+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch fix_complex_overloading_MR8820.diff

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Dec 2025 22:37:46 +0100

=== debian/control ===
Source: petsc
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 "Adam C. Powell, IV" <hazelsct@debian.org>,
 Drew Parsons <dparsons@debian.org>,
 Francesco Ballarin <francesco.ballarin@unicatt.it>
Standards-Version: 4.7.2
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3, gfortran,
 pkgconf, dh-python,
 dh-fortran-mod,
 gdb,
 mpi-default-dev (>= 1.17),
 ocl-icd-opencl-dev | opencl-dev,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
 libsuitesparse-dev (>= 1:5.6.0),
 libhypre-dev (>= 2.21.0),
 libhypre64-dev (>= 2.21.0) [amd64 arm64 mips64el ppc64el s390x alpha ia64 loong64 ppc64 riscv64 sparc64],
 libptscotch-dev, libptscotch-64i-dev,
 libhdf5-mpi-dev (>= 1.10.6+repack-1),
 libscalapack-mpi-dev,
 libmumps-dev (>= 5.2.1~) [!hppa !powerpc], libmumps64-dev [!hppa !powerpc],
 libfftw3-dev, libfftw3-mpi-dev, libssl-dev,
 libsuperlu-dev (>= 5.2.1), libsuperlu-dist-dev (>= 6.1.1),
 libx11-dev,
 libyaml-dev,
 valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
 sphinx-common | python3-sphinx | dh-sequence-sphinxdoc
Build-Depends-Indep: libjs-sphinxdoc, libjs-mathjax,
 libjs-jquery, libjs-jquery-ui
Vcs-Git: https://salsa.debian.org/science-team/petsc.git
Vcs-Browser: https://salsa.debian.org/science-team/petsc
Homepage: http://www.mcs.anl.gov/petsc

Package: petsc-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libpetsc-real-dev, ${misc:Depends}
Description: Virtual package depending on latest PETSc development package
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This metapackage installs libpetsc-real-dev, which will always depend
 on the most recent version of PETSc with real number support. So if
 you install it then you will get upgrades automatically.

Package: libpetsc-real-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libpetsc-real3.24-dev, ${misc:Depends}
Description: Virtual package depending on latest PETSc development package
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This is a dummy package which depends on the most recent version of
 libpetsc-realX-dev with real number support (X=version).

Package: libpetsc-complex-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libpetsc-complex3.24-dev, ${misc:Depends}
Description: Virtual package depending on latest PETSc development package
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This is a dummy package which depends on the most recent version of
 libpetsc-complexX-dev with complex number support (X=version).

Package: libpetsc-real3.24-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends: libpetsc-real3.24 (= ${binary:Version}),
 libpetsc3.24-dev-common (= ${source:Version}),
 mpi-default-dev, ${mpi-dev:Depends},
 libhypre-dev (>= 2.15.1),
 libmumps-dev [!hppa !powerpc],
 gfortran,
 valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
 ${misc:Depends}, ${fortran:Depends},
 python3, ${python3:Depends}
Conflicts: libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2),
 libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
Recommends: libpetsc3.24-dev-examples, ksh | mksh | pdksh | zsh
Suggests: petsc-dev, libpetsc-real3.24-dbg (= ${binary:Version}), petsc3.24-doc, libluminate-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files for building applications
 using PETSc 3.24 with real numbers.

Package: libpetsc-real3.24
Architecture: any
Multi-Arch: same
Section: libs
Provides: libpetsc3.24, ${t64:Provides}
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpetsc3.6 (<< 3.6.2.dfsg1-4)
Breaks: libpetsc-real3.10, libslepc-real3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
Replaces: libpetsc3.6 (<< 3.6.2.dfsg1-4)
Description: Shared libraries for version 3.24 of PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains the PETSc 3.24 shared library for real numbers.
 .
 It provides soname libpetsc-real3.24

Package: libpetsc3.24-dev-common
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libjs-jquery, libjs-jquery-ui,
 libjs-mathjax,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
 libsuitesparse-dev,
 libptscotch-dev, libscalapack-mpi-dev,
 libfftw3-dev, libfftw3-mpi-dev, libssl-dev,
 ocl-icd-opencl-dev | opencl-dev,
 libhdf5-mpi-dev (>= 1.8.8),
 libsuperlu-dev (>= 5.2), libsuperlu-dist-dev,
 libx11-dev,
 libyaml-dev,
 ${misc:Depends}, ${python3:Depends},
 ${sphinxdoc:Depends}
Recommends: libpetsc-real3.24-dev | libpetsc-complex3.24-dev
Description: Common header and support dev files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides header and other support files common to the
 various dev packages (with real or complex number support) for PETSc 3.24.

Package: libpetsc3.24-dev-examples
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${python3:Depends},
 libjs-mathjax
Recommends: ksh | mksh | pdksh | zsh,
 libpetsc-real3.24-dev | libpetsc-complex3.24-dev | libpetsc-real3.24-dbg | libpetsc-complex3.24-dbg
Suggests: petsc3.24-doc
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides example, test, and tutorial scripts for PETSc 3.24.

Package: libpetsc-real3.24-dbg
Architecture: any
Multi-Arch: same
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: libpetsc-real3.24-dev (= ${binary:Version}),
 libpetsc3.24-dev-common (= ${source:Version}),
 ${misc:Depends}, ${shlibs:Depends}, ${fortran:Depends},
 python3, ${python3:Depends}
Recommends: libpetsc3.24-dev-examples, ksh | mksh | pdksh | zsh
Provides: petsc3.24-dbg, ${t64:Provides}
Description: Debugging libraries for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files and debugging libraries for
 debugging applications using PETSc 3.24 with real numbers.
 .
 Libraries include unstripped symbols, but this package is also built with
 internal PETSc debugging activated (--with-debugging=1).

Package: petsc3.24-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: sphinx-common, libjs-sphinxdoc, ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: libpetsc-real3.24-dev (= ${binary:Version}), illuminator-doc
Description: Documentation and examples for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package contains documentation for developing with PETSc 3.24.

Package: libpetsc-complex3.24-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpetsc-complex3.24 (= ${binary:Version}),
 libpetsc3.24-dev-common (= ${source:Version}),
 mpi-default-dev, ${mpi-dev:Depends},
 libmumps-dev [!hppa !powerpc],
 gfortran,
 valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
 ${misc:Depends}, ${fortran:Depends},
 python3, ${python3:Depends}
Conflicts: libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2),
 libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
Recommends: libpetsc3.24-dev-examples, ksh | mksh | pdksh | zsh
Suggests: petsc-dev, libpetsc-complex3.24-dbg (= ${binary:Version}), petsc3.24-doc, libluminate-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific
 Computation", a suite of data structures and routines for the
 scalable (parallel) solution of scientific applications modeled by
 partial differential equations.  It employs the MPI standard for all
 message-passing communication.  Several sample scientific
 applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.
 .
 This package provides the development files for building applications
 using PETSc 3.24 with support for complex numbers.
 .
 Note HYPRE is not supported with PETSc complex.

Package: libpetsc-complex3.24
Provides: ${t64:Provides}
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)

## petsc 3.24.3+dfsg1

=== debian/changelog ===
petsc (3.24.3+dfsg1-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Jan 2026 07:54:57 +0100

petsc (3.24.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: dh-fortran not dh-fortran-mod
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Jan 2026 14:31:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  "Adam C. Powell, IV" <hazelsct@debian.org>,
  Drew Parsons <dparsons@debian.org>,
  Francesco Ballarin <francesco.ballarin@unicatt.it>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3, gfortran,
  pkgconf, dh-python,
- dh-fortran-mod,
+ dh-fortran,
  gdb,
  mpi-default-dev (>= 1.17),
  ocl-icd-opencl-dev | opencl-dev,

## petsc 3.24.4+dfsg1

=== debian/changelog ===
petsc (3.24.4+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Update F. Ballarin's email address

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 20 Feb 2026 07:47:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: petsc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  "Adam C. Powell, IV" <hazelsct@debian.org>,
  Drew Parsons <dparsons@debian.org>,
- Francesco Ballarin <francesco.ballarin@unicatt.it>
+ Francesco Ballarin <ballarin@debian.org>
 Standards-Version: 4.7.3
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3, gfortran,
  pkgconf, dh-python,
@@ -268,3 +267,4 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
+Breaks: libpetsc-complex3.10, libslepc-complex3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
